Name:		jailkit
Version:	2.21
Release:	6.1
Url:		http://olivier.sessink.nl/jailkit/
Summary:	Chroot for ssh users
License:	Olivier Sessink / LGPL
Group:		System
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
Patch0:		jailkit-init-no-unitedlinux.patch
%if 0%{?rhel} >= 8
BuildRequires:	python3
%else
BuildRequires:	python
%endif

%description
Jailkit is a set of utilities to limit user accounts to specific
files using chroot() and or specific commands. Setting up a chroot shell,
a shell limited to some specific command, or a daemon inside a chroot
jail is a lot easier and can be automated using these utilities.

Jailkit is known to be used in network security appliances from several
leading IT security firms, internet servers from several large
enterprise organizations, internet servers from internet service providers,
as well as many smaller companies and private users that need to secure cvs,
sftp, shell or daemon processes.

%prep
%setup
%patch0

%build
%if 0%{?rhel} >= 8
export PYTHONINTERPRETER=/usr/bin/python3
%endif
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install
%if 0%{?suse_version}
%__install -D -m0755 extra/%{name}.suse %{buildroot}%{_sysconfdir}/init.d/%{name}
%else
%__install -D -m0755 extra/%{name}.centos %{buildroot}%{_sysconfdir}/init.d/%{name}
%endif
ln -sf ../../%{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}

%clean
rm -rf %{buildroot}

%preun
if [ $1 == 0 ] ; then
%if 0%{?suse_version}
%stop_on_removal
%else
/sbin/service %{name} stop || :
%endif
fi

%postun
if [ $1 == 0 ] ; then
%if 0%{?suse_version}
%insserv_cleanup
%else
/sbin/chkconfig --del %{name} || :
%endif
fi

%files
%defattr(-,root,root)
%doc README.txt COPYRIGHT
%dir %{_sysconfdir}/jailkit
%config(noreplace) %{_sysconfdir}/jailkit/jk_check.ini
%config(noreplace) %{_sysconfdir}/jailkit/jk_chrootsh.ini
%config(noreplace) %{_sysconfdir}/jailkit/jk_init.ini
%config(noreplace) %{_sysconfdir}/jailkit/jk_lsh.ini
%config(noreplace) %{_sysconfdir}/jailkit/jk_socketd.ini
%config(noreplace) %{_sysconfdir}/jailkit/jk_uchroot.ini
%config(noreplace) %{_sysconfdir}/jailkit/jk_update.ini
%{_sysconfdir}/init.d/%{name}
%{_sbindir}/rc%{name}
%{_bindir}/jk_uchroot
%{_sbindir}/jk_check
%{_sbindir}/jk_chrootlaunch
%{_sbindir}/jk_chrootsh
%{_sbindir}/jk_cp
%{_sbindir}/jk_init
%{_sbindir}/jk_jailuser
%{_sbindir}/jk_list
%{_sbindir}/jk_lsh
%{_sbindir}/jk_socketd
%{_sbindir}/jk_update
%dir %{_datadir}/jailkit
%{_datadir}/jailkit/jk_lib.py*
%{_mandir}/man8/jailkit.8*
%{_mandir}/man8/jk_check.8*
%{_mandir}/man8/jk_chrootlaunch.8*
%{_mandir}/man8/jk_chrootsh.8*
%{_mandir}/man8/jk_cp.8*
%{_mandir}/man8/jk_init.8*
%{_mandir}/man8/jk_jailuser.8*
%{_mandir}/man8/jk_list.8*
%{_mandir}/man8/jk_lsh.8*
%{_mandir}/man8/jk_socketd.8*
%{_mandir}/man8/jk_uchroot.8*
%{_mandir}/man8/jk_update.8*

%changelog
* Mon Dec  9 2019 Local OBS User <cs@linux-administrator.com>
- update to release 2.21
* Wed Jan  8 2014 cs@linux-administrator.com
- update to release 2.17
* Wed Dec 25 2013 cs@linux-administrator.com
- version 2.16, initial package
